# Class CIM_AssociatedAlarm
extends CIM_Dependency

LogicalDevices may have one or more AlarmDevices associated with them, in order to indicate problem situations. This relationship is indicated by the AssociatedAlarm dependency.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedAlarm

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | LogicalDevices may have one or more AlarmDevices associated with them, in order to indicate problem situations. This relationship is indicated by the AssociatedAlarm dependency.
UMLPackagePath | string | CIM::Device::Sensors
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedAlarm | CIM_AlarmDevice
Dependent | CIM_AssociatedAlarm | CIM_LogicalDevice

## Class Methods